---
title: Retrieve Multiple Workflow Stage Changes
description: Returns an array of workflow stage change objects.
url: https://www.storyblok.com/docs/api/management/workflow-stage-changes/retrieve-multiple-workflow-stage-changes
---

# Retrieve Multiple Workflow Stage Changes

GET

```html
https://mapi.storyblok.com/v1/spaces/:space_id/workflow_stage_changes?with_story=123
```

Returns an array of workflow stage change objects.

## Path parameters

-   `:space_id` (required) (number)
    
    Numeric ID of a space
    

## Query parameters

-   `with_story` (required) (number)
    
    Filter by the ID of the story
    

## Response properties

-   `workflow_stage_changes` (Workflow Stage Change Object\[\])
    
    An array of [Workflow Stage Change Objects](/docs/api/management#workflow-stage-changes/object)
    

## Examples

-   cURL
    
    ```shellscript
    curl "https://mapi.storyblok.com/v1/spaces/288868932106293/workflow_stage_changes\
    ?with_story=123" \
      -H "Authorization: YOUR_OAUTH_TOKEN"
    ```
    
-   JS
    
    ```javascript
    // storyblok-js-client@>=7, node@>=18
    import Storyblok from "storyblok-js-client";
    
    const storyblok = new Storyblok({
      oauthToken: "YOUR_PERSONAL_ACCESS_TOKEN",
    });
    
    try {
      const response = await storyblok.get('spaces/288868932106293/workflow_stage_changes', {
        "with_story": "123"
      })
      console.log({ response })
    } catch (error) {
      console.log(error)
    }
    ```
    
-   PHP
    
    ```php
    $client = new \Storyblok\ManagementClient('YOUR_OAUTH_TOKEN');
    
    $client->get('spaces/288868932106293/workflow_stage_changes', [
      "with_story" => "123"
    ])->getBody();
    ```
    
-   Java
    
    ```java
    HttpResponse<String> response = Unirest.get("https://mapi.storyblok.com/v1/spaces/288868932106293/workflow_stage_changes?with_story=123")
      .header("Authorization", "YOUR_OAUTH_TOKEN")
      .asString();
    ```
    
-   C#
    
    ```csharp
    var client = new RestClient("https://mapi.storyblok.com/v1/spaces/288868932106293/workflow_stage_changes?with_story=123");
    var request = new RestRequest(Method.GET);
    
    request.AddHeader("Authorization", "YOUR_OAUTH_TOKEN");
    IRestResponse response = client.Execute(request);
    ```
    
-   Python
    
    ```python
    import requests
    
    url = "https://mapi.storyblok.com/v1/spaces/288868932106293/workflow_stage_changes"
    
    querystring = {"with_story":"123"}
    
    payload = ""
    headers = {
      'Authorization': "YOUR_OAUTH_TOKEN"
    }
    
    response = requests.request("GET", url, data=payload, headers=headers, params=querystring)
    
    print(response.text)
    ```
    
-   Ruby
    
    ```ruby
    require 'storyblok'
    client = Storyblok::Client.new(oauth_token: 'YOUR_OAUTH_TOKEN')
    
    client.get('spaces/288868932106293/workflow_stage_changes', {:params => {
      "with_story" => "123"
    }})
    ```
    
-   Swift
    
    ```swift
    let storyblok = URLSession(storyblok: .mapi(accessToken: .oauth("YOUR_OAUTH_TOKEN")))
    var request = URLRequest(storyblok: storyblok, path: "spaces/288868932106293/workflow_stage_changes")
    request.url!.append(queryItems: [
        URLQueryItem(name: "with_story", value: "123")
    ])
    let (data, _) = try await storyblok.data(for: request)
    print(try JSONSerialization.jsonObject(with: data))
    ```
    
-   Kotlin
    
    ```kotlin
    val client = HttpClient {
        install(Storyblok(MAPI)) {
            accessToken = OAuth("YOUR_OAUTH_TOKEN")
        }
    }
    
    val response = client.get("spaces/288868932106293/workflow_stage_changes") {
        url {
            parameters.append("with_story", "123")
        }
    }
    
    println(response.body<JsonElement>())
    ```

You will get an array of [workflow stage change](/docs/api/management/workflow-stage-changes/workflow-stage-change-object) objects as response.

## Pagination

-   [Previous: Create a Workflow Stage Change](/docs/api/management/workflow-stage-changes/create-a-workflow-stage-change)
-   [Next: Workflow Stage Change Object](/docs/api/management/workflow-stage-changes/workflow-stage-change-object)
